clc; clear; close all;

Globals3D;

tic;
Problem;

N = 4; % degree of polynomial representing solution within an element (local solution representation)

StartUp3D; % computing local operators and mesh information

[mapI, vmapI, mapO, vmapO] = BuildBCMaps();

u = IC(x,y,z); % evaluating initial condition
preprocessing_time = toc;

tic;
u = Timestepping(u,T); % time-stepping for the ODE system
computation_time = toc;